package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFJD2 extends MwfRequest<MWFJD2, MWFJD2Response> {

    @Parameter(name = "APPLICANT")
    MWFJD2 applicant(String applicant);
    @Parameter(name = "APPLICANTGROUP")
    MWFJD2 applicantgroup(String applicantgroup);
    @Parameter(name = "ATTRIBUTE1")
    MWFJD2 attribute1(String attribute1);
    @Parameter(name = "ATTRIBUTE10")
    MWFJD2 attribute10(String attribute10);
    @Parameter(name = "ATTRIBUTE11")
    MWFJD2 attribute11(String attribute11);
    @Parameter(name = "ATTRIBUTE12")
    MWFJD2 attribute12(String attribute12);
    @Parameter(name = "ATTRIBUTE13")
    MWFJD2 attribute13(String attribute13);
    @Parameter(name = "ATTRIBUTE14")
    MWFJD2 attribute14(String attribute14);
    @Parameter(name = "ATTRIBUTE15")
    MWFJD2 attribute15(String attribute15);
    @Parameter(name = "ATTRIBUTE16")
    MWFJD2 attribute16(String attribute16);
    @Parameter(name = "ATTRIBUTE17")
    MWFJD2 attribute17(String attribute17);
    @Parameter(name = "ATTRIBUTE18")
    MWFJD2 attribute18(String attribute18);
    @Parameter(name = "ATTRIBUTE19")
    MWFJD2 attribute19(String attribute19);
    @Parameter(name = "ATTRIBUTE2")
    MWFJD2 attribute2(String attribute2);
    @Parameter(name = "ATTRIBUTE20")
    MWFJD2 attribute20(String attribute20);
    @Parameter(name = "ATTRIBUTE3")
    MWFJD2 attribute3(String attribute3);
    @Parameter(name = "ATTRIBUTE4")
    MWFJD2 attribute4(String attribute4);
    @Parameter(name = "ATTRIBUTE5")
    MWFJD2 attribute5(String attribute5);
    @Parameter(name = "ATTRIBUTE6")
    MWFJD2 attribute6(String attribute6);
    @Parameter(name = "ATTRIBUTE7")
    MWFJD2 attribute7(String attribute7);
    @Parameter(name = "ATTRIBUTE8")
    MWFJD2 attribute8(String attribute8);
    @Parameter(name = "ATTRIBUTE9")
    MWFJD2 attribute9(String attribute9);
    @Parameter(name = "BIRTHNUMBER")
    MWFJD2 birthnumber(String birthnumber);
    @Parameter(name = "BRANCHID")
    MWFJD2 branchid(String branchid);
    @Parameter(name = "CLIENTID")
    MWFJD2 clientid(String clientid);
    @Parameter(name = "CLIENTIDTYPE")
    MWFJD2 clientidtype(String clientidtype);
    @Parameter(name = "COMPANY")
    MWFJD2 company(String company);
    @Parameter(name = "COUNTOFOCCURENCES")
    MWFJD2 countofoccurences(Long countofoccurences);
    @Parameter(name = "COUNTOFSUBTASKS")
    MWFJD2 countofsubtasks(Long countofsubtasks);
    @Parameter(name = "DATEFORMANUALNOTIFICATION")
    MWFJD2 dateformanualnotification(java.util.Date dateformanualnotification);
    @Parameter(name = "DAYOFWAKEUP")
    MWFJD2 dayofwakeup(String dayofwakeup);
    @Parameter(name = "EMAILOFRECEIVER")
    MWFJD2 emailofreceiver(String emailofreceiver);
    @Parameter(name = "EMAILOFSENDER")
    MWFJD2 emailofsender(String emailofsender);
    @Parameter(name = "EMAILSUBJECT")
    MWFJD2 emailsubject(String emailsubject);
    @Parameter(name = "ENDDATEOFRECURRENCE")
    MWFJD2 enddateofrecurrence(java.util.Date enddateofrecurrence);
    @Parameter(name = "HIDEFROMCLIENT")
    MWFJD2 hidefromclient(Boolean hidefromclient);
    @Parameter(name = "ICO")
    MWFJD2 ico(String ico);
    @Parameter(name = "KINDOFTASK")
    MWFJD2 kindoftask(String kindoftask);
    @Parameter(name = "LEVEL")
    MWFJD2 level(Long level);
    @Parameter(name = "OBJECTID")
    MWFJD2 objectid(String objectid);
    @Parameter(name = "OBJECTIDTYPE")
    MWFJD2 objectidtype(String objectidtype);
    @Parameter(name = "OUTERSOLVER")
    MWFJD2 outersolver(String outersolver);
    @Parameter(name = "PARENTID")
    MWFJD2 parentid(String parentid);
    @Parameter(name = "PRIORITY")
    MWFJD2 priority(String priority);
    @Parameter(name = "PROCESSINGDATE")
    MWFJD2 processingdate(java.util.Date processingdate);
    @Parameter(name = "PROCESSINGDAYSLIMIT")
    MWFJD2 processingdayslimit(Long processingdayslimit);
    @Parameter(name = "PROCESSINGTIMELIMIT")
    MWFJD2 processingtimelimit(Long processingtimelimit);
    @Parameter(name = "RECURRENCEPATTERN")
    MWFJD2 recurrencepattern(String recurrencepattern);
    @Parameter(name = "REPEATCOUNTER")
    MWFJD2 repeatcounter(Long repeatcounter);
    @Parameter(name = "REPEATINGTASK")
    MWFJD2 repeatingtask(Boolean repeatingtask);
    @Parameter(name = "REPEATINGTASKID")
    MWFJD2 repeatingtaskid(String repeatingtaskid);
    @Parameter(name = "REQUESTEDDATE")
    MWFJD2 requesteddate(java.util.Date requesteddate);
    @Parameter(name = "REQUESTEDDAYSLIMIT")
    MWFJD2 requesteddayslimit(Long requesteddayslimit);
    @Parameter(name = "RESOLVER")
    MWFJD2 resolver(String resolver);
    @Parameter(name = "RESOLVERSGROUP")
    MWFJD2 resolversgroup(String resolversgroup);
    @Parameter(name = "RESULTINGDATE")
    MWFJD2 resultingdate(java.util.Date resultingdate);
    @Parameter(name = "ROOTPARENTID")
    MWFJD2 rootparentid(String rootparentid);
    @Parameter(name = "SEGMENT")
    MWFJD2 segment(String segment);
    @Parameter(name = "SENDEMAIL")
    MWFJD2 sendemail(Long sendemail);
    @Parameter(name = "SEQUENTIALNUMBER")
    MWFJD2 sequentialnumber(Long sequentialnumber);
    @Parameter(name = "SETESCALATION")
    MWFJD2 setescalation(Boolean setescalation);
    @Parameter(name = "SETREQUESTEDDATEFORESCALATION")
    MWFJD2 setrequesteddateforescalation(Boolean setrequesteddateforescalation);
    @Parameter(name = "SOURCESYSTEM")
    MWFJD2 sourcesystem(String sourcesystem);
    @Parameter(name = "STARTDATEOFRECURRENCE")
    MWFJD2 startdateofrecurrence(java.util.Date startdateofrecurrence);
    @Parameter(name = "TASKCATEGORY")
    MWFJD2 taskcategory(String taskcategory);
    @Parameter(name = "TASKDESCRIPTION")
    MWFJD2 taskdescription(String taskdescription);
    @Parameter(name = "TASKENDDATE")
    MWFJD2 taskenddate(java.util.Date taskenddate);
    @Parameter(name = "TASKID")
    MWFJD2 taskid(String taskid);
    @Parameter(name = "TASKNAME")
    MWFJD2 taskname(String taskname);
    @Parameter(name = "TASKSOLUTION")
    MWFJD2 tasksolution(String tasksolution);
    @Parameter(name = "TASKSTARTDATE")
    MWFJD2 taskstartdate(java.util.Date taskstartdate);
    @Parameter(name = "TASKSUBCATEGORY")
    MWFJD2 tasksubcategory(String tasksubcategory);
    @Parameter(name = "TASKTYPE")
    MWFJD2 tasktype(String tasktype);
    @Parameter(name = "TKIID")
    MWFJD2 tkiid(String tkiid);
    @Parameter(name = "TMSGROUPID")
    MWFJD2 tmsgroupid(String tmsgroupid);
    @Parameter(name = "USERFLAG")
    MWFJD2 userflag(Long userflag);
    @Parameter(name = "USERSCHOICE")
    MWFJD2 userschoice(String userschoice);
    @Parameter(name = "VERIFYINGTIME")
    MWFJD2 verifyingtime(Long verifyingtime);
    @Parameter(name = "VERIFYINGUSER")
    MWFJD2 verifyinguser(String verifyinguser);
    @Parameter(name = "WORKINGTIMEFROM")
    MWFJD2 workingtimefrom(Long workingtimefrom);
    @Parameter(name = "WORKINGTIMETO")
    MWFJD2 workingtimeto(Long workingtimeto);
}
